<meta charset="utf-8">
<h1>AJAX com API Fetch com Async/Await</h1>
<button id="btnCarregar">
    Carregar
</button>
<div class="conteudo">

</div>

<script>

    const btnCarregar = document.querySelector('#btnCarregar');
    const divConteudo = document.querySelector('.conteudo');

    btnCarregar.addEventListener('click', async function() {
        btnCarregar.disabled = true;
        try {
            const resposta = await fetch('02-dom.html');
            let conteudo = await resposta.text();
            divConteudo.innerHTML = conteudo;
        }
        catch(erro) {
            divConteudo.innerHTML = erro;
        }
        finally {
            btnCarregar.disabled = false;
        }
    });

</script>